Bug 4690 - Static Pages plugin breaks links
Static Pages plugin breaks links
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Plug-ins
2.3
PC Mac OS X 10.3
: P5 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-27 14:15 PDT by James MacGregor
Modified: 2009-09-15 10:49 PDT (History)
1 user (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2009-08-27 14:15:52 PDT
The Static Pages plugin (which seems to be using a different iteration/variation of the TinyMCE plugin) breaks links. If I try to link an item with the following: 

http://example.org/cvs/ojs2-devel/index.php/journ1/issue/current

It actually looks like (Viewing the HTML via TinyMCE): 

../../../index.php/journ1/issue/current

Which in turn displays as:

http://example.org/cvs/ojs2-devel/index.php/index.php/journ1/issue/current

Thanks to the patch for Bug 3186, I tried adding 			

relative_urls : false,

to the TinyMCE script in StaticPagesEditForm.inc.php, which seems to have fixed the problem. If this sounds like the appropriate place to add this fix, I'll commit and close the bug.
Comment 1 Alec Smecher 2009-08-31 10:15:11 PDT
James, sounds good -- but we should also resolve the duplication of the TinyMCE code, which is unnecessary. Could you file an additional entry for that against a future release?
Comment 2 James MacGregor 2009-08-31 11:21:34 PDT
(In reply to comment #1)
> James, sounds good -- but we should also resolve the duplication of the TinyMCE
> code, which is unnecessary. Could you file an additional entry for that against
> a future release?

Yep. Also note that adding the above line is unnecessary -- the line is there, but missing an 's' (line 112: change "relative_url : false," to "relative_urls : false," will fix the problem).
Comment 3 James MacGregor 2009-08-31 11:34:15 PDT
Committed against ojs2-devel and ocs2-devel; closing. See Bug 4697 for the resolution issue.
Comment 4 Alec Smecher 2009-09-14 17:05:27 PDT
James, did you forget to close this entry?
Comment 5 James MacGregor 2009-09-15 10:49:40 PDT
Yep. :) Closing now.